org.apache.synapse.transport.http.conn

## Class ProfileProxyAuthenticator

- java.lang.Object
- - org.apache.synapse.transport.http.conn.ProfileProxyAuthenticator

- All Implemented Interfaces:
    ProxyAuthenticator

      public class ProfileProxyAuthenticator
      extends java.lang.Object
      implements ProxyAuthenticator

  ProfileProxyAuthenticator will be initialized when proxy profile is configured

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ProfileProxyAuthenticator(ProxyConfig proxyConfig)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `authenticatePreemptively(org.apache.http.HttpRequest request, org.apache.http.protocol.HttpContext context)` this will add authentication header to the request

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ProfileProxyAuthenticator

          public ProfileProxyAuthenticator(ProxyConfig proxyConfig)
                                    throws org.apache.http.auth.MalformedChallengeException

      Throws:
        `org.apache.http.auth.MalformedChallengeException`

  - ### Method Detail

    - #### authenticatePreemptively

          public void authenticatePreemptively(org.apache.http.HttpRequest request,
                                               org.apache.http.protocol.HttpContext context)
                                        throws org.apache.http.auth.AuthenticationException

      this will add authentication header to the request
      Specified by:
        `authenticatePreemptively` in interface `ProxyAuthenticator`
      Parameters:
        `request` - outgoing http request
        `context` - http context
      Throws:
        `org.apache.http.auth.AuthenticationException`

Copyright © 2005-2020 Apache Software Foundation. All Rights Reserved.